netdiscover (0.9-1.0) UNRELEASED; urgency=medium

  * Non-maintainer upload. Build refresh version for Deiban 7,8,9
  * Updated oui mac packaged version

 -- PICCORO Lenz McKAY <mckaygerhard@gmail.com>  Wed, 08 Jun 2022 13:18:27 -0400

netdiscover (0.9-1) unstable; urgency=medium

  * New upstream version 0.9.
  * debian/control: dropped extra digit in Standards-Version.
  * debian/copyright:
      - Added or updated upstream rights.
      - Updated packaging copyright years.
  * debian/rules: changed override_dh_auto_install to
    execute_after_dh_auto_install.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 20 Feb 2022 22:33:28 -0300

netdiscover (0.8.1-2) unstable; urgency=medium

  * debian/copyright: added new rights for the upstream.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 02 Nov 2021 11:37:05 -0300

netdiscover (0.8.1-1) unstable; urgency=medium

  * New upstream version 0.8.1.
  * debian/control: bumped Standards-Version to 4.6.0.1.
  * debian/lintian-overrides: updated an override about OUI table.
  * debian/patches/:
      - 010_fix-makefile.patch: updated to use README.md instead of README
        because the upstream changed the source code.
      - 020_update-oui.patch: temporarily disabled because the upstream updated
        the OUI table.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 01 Nov 2021 23:35:44 -0300

netdiscover (0.8-1) unstable; urgency=medium

  * New upstream version 0.8.
  * debian/copyright: updated upstream and packaging copyright years.
  * debian/patches/:
      - Added a leading zero to patch name.
      - 020_update-oui.patch: updated.
      - 030_fix_cidr24.patch: removed because the upstream fixed the source
        code.
  * debian/tests/control:
      - Added a new test.
      - Removed xvfb test. See #988591.
  * debian/watch: updated the search rule to make it compliant with new
    standards of the GitHub.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 15 Aug 2021 12:45:34 -0300

netdiscover (0.7-4) unstable; urgency=medium

  * debian/patches/030_fix_cidr24.patch: created to fix no results with CIDR /24
    and libpcap >= 1.10. Thanks to Enrico Schmitz. (Closes: #991258)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 18 Jul 2021 17:23:16 -0300

netdiscover (0.7-3) unstable; urgency=medium

  * debian/patches/20_update-oui.patch: updated.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 06 Feb 2021 00:05:00 -0300

netdiscover (0.7-2) unstable; urgency=medium

  * debian/control: bumped Standards-Version to 4.5.1.
  * debian/copyright: updated packaging copyright years.
  * debian/patches/20_update-oui.patch: created to update OUI list.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 16 Jan 2021 16:30:45 -0300

netdiscover (0.7-1) unstable; urgency=medium

  * New upstream version 0.7.
  * debian/control: migrated DH level to 13.
  * debian/copyright: updated upstream copyright years.
  * debian/tests/control: set the first test as superficial.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 29 Jun 2020 15:41:23 -0300

netdiscover (0.6-1) unstable; urgency=medium

  * New upstream version 0.6. It will solve #957594.
  * debian/control: bumped Standards-Version to 4.5.0.
  * debian/copyright: updated upstream copyright years.
  * debian/lintian-overrides: added a new name of a company.
  * debian/patches/20_update-oui.patch: no needed temporarily. Removed.
  * debian/upstream/metadata: created.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 17 Apr 2020 21:55:23 -0300

netdiscover (0.5.1-4) unstable; urgency=medium

  * Happy New Year!
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Bumped Standards-Version to 4.4.1.
  * debian/copyright:
      - Updated packaging copyright years.
      - Using GitHub/issues address in Upstream-Contact field.
  * debian/lintian-overrides: added a new name of a company.
  * debian/patches/20_update-oui.patch: updated.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 01 Jan 2020 02:35:46 -0300

netdiscover (0.5.1-3) unstable; urgency=medium

  * debian/lintian-overrides: added new names of companies.
  * debian/patches/20_update-oui.patch: full updated.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 08 Jul 2019 12:20:23 -0300

netdiscover (0.5.1-2) unstable; urgency=medium

  * debian/patches/20_update-oui.patch: added to update the OUI table.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 01 Mar 2019 12:11:07 -0300

netdiscover (0.5.1-1) unstable; urgency=medium

  * New upstream version 0.5.1.
  * debian/copyright: added rights for upstreams.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 07 Feb 2019 20:25:48 -0200

netdiscover (0.5-1) unstable; urgency=medium

  * New upstream version 0.5.
  * debian/copyright:
      - Added licensing for doc/create-man.sh file.
      - Added rights for new upstream.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 06 Feb 2019 20:09:43 -0200

netdiscover (0.4-1) unstable; urgency=medium

  * New upstream version 0.4.
  * New upstream homepage. Updated:
      - debian/control
      - debian/copyright
      - debian/watch
  * debian/copyright: updated upstream copyright years.
  * debian/patches/: removed some patches because the upstream fixed the source
    code (thanks!):
      - 20_fix-spelling-binary.patch
      - 30_fix-manpage.patch
      - 40_update-oui.patch
  * debian/source/lintian-overrides: removed a no longer needed override.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 06 Feb 2019 00:32:56 -0200

netdiscover (0.3beta7~pre+svn118-9) unstable; urgency=medium

  * debian/patches/40_update-oui.patch: updated with current OUI table.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 05 Feb 2019 15:32:04 -0200

netdiscover (0.3beta7~pre+svn118-8) unstable; urgency=medium

  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field.
  * debian/control: bumped Standards-Version to 4.3.0.
  * debian/copyright: updated packaging copyright years.
  * debian/patches/40_update-oui.patch: updated with current OUI table.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 18 Jan 2019 01:28:52 -0200

netdiscover (0.3beta7~pre+svn118-7) unstable; urgency=medium

  [ Joao Eriberto Mota Filho ]
  * debian/copyright: added rights for Ondřej Nový.
  * debian/patches/40_update-oui.patch: updated.
  * debian/tests/control: added to provide trivial tests.

  [ Ondřej Nový ]
  * debian/watch: use https protocol.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 28 Nov 2018 13:21:00 -0200

netdiscover (0.3beta7~pre+svn118-6) unstable; urgency=medium

  * debian/control:
      - Bumped Standards-Version to 4.2.1.
      - Changed Vcs-* URLs to salsa.debian.org.
      - Removed no longer needed build dependency dh-autoreconf.
  * debian/copyright: using a secure copyright format in URI.
  * debian/patches/40_update-oui.patch: updated.
  * debian/source.lintian-overrides: moved to debian/source/lintian-overrides.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 16 Sep 2018 10:46:42 -0300

netdiscover (0.3beta7~pre+svn118-5) unstable; urgency=medium

  * Migrated DH level to 11.
  * debian/control: bumped Standards-Version to 4.1.3.
  * debian/copyright: updated packaging copyright years.
  * debian/patches/40_update-oui.patch: updated.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 12 Jan 2018 23:32:31 -0200

netdiscover (0.3beta7~pre+svn118-4) unstable; urgency=medium

  * Removed all references to dh-autoreconf because it is no longer needed.
  * debian/control: bumped Standards-Version to 4.1.1.
  * debian/lintian-overrides: updated.
  * debian/patches/40_update-oui.patch: updated.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 26 Oct 2017 21:43:13 -0200

netdiscover (0.3beta7~pre+svn118-3) unstable; urgency=medium

  * debian/control: updated the Homepage field.
  * debian/copyright:
      - Updated the Source field.
      - Updated the packaging copyright years.
  * debian/lintian-overrides: updated.
  * debian/patches/40_update-oui.patch: updated.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 20 Jan 2017 09:48:00 -0200

netdiscover (0.3beta7~pre+svn118-2) unstable; urgency=medium

  * Bumped DH level to 10.
  * debian/control: bumped Standards-Version to 3.9.8.
  * debian/copyright: added the Upstream-Contact field.
  * debian/docs: added the AUTHORS file.
  * debian/lintian-overrides: added new data and removed the outdated data.
  * debian/patches/:
      - 30_fix-manpage.patch: added a new fix.
      - 40_update-oui.patch: updated.
  * debian/source.lintian-overrides: removed the outdated data.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 28 Nov 2016 22:48:47 -0200

netdiscover (0.3beta7~pre+svn118-1) unstable; urgency=medium

  * New upstream release. (Closes: #818791)
  * debian/clean: removed. Is a good idea to keep the oui.txt-* file, to
      avoid a new long download, if we want redo the src/oui.h.
  * debian/control:
      - Bumped Standards-Version to 3.9.7.
      - Changed from cgit to git in Vcs-Browser field.
      - Improved the long description.
      - Updated the Vcs-* fields to use https instead of http and git.
  * debian/copyright:
      - Added the copyright notice about update-oui-database.sh. Thanks
        to upstream that included this file.
      - Updated the copyright years.
  * debian/lintian-overrides: added new overrides to some issues.
  * debian/patches/:
      - Added new fixes in fix-spelling-binary patch.
      - Added new fixes in fix-manpage.patch.
      - Renamed fix-makefile to 10_fix-makefile.patch.
      - Renamed fix-spelling-binary to 20_fix-spelling-binary.patch.
      - Renamed fix-manpage to 30_fix-manpage.patch.
      - Renamed update-oui to 40_update-oui.patch.
      - Updated 30_fix-manpage.patch.
      - Updated 40_update-oui.patch.
  * debian/source.lintian-overrides: added to override special cases.
  * debian/source/options: added to allow the oui.txt-* existence in
      upstream place. It will avoid a new long download, if we want
      redo the src/oui.h.
  * debian/watch:
      - Bumped to version 4.
      - Removed an extra source.
      - Updated the mangle line.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 16 Apr 2016 21:16:23 -0300

netdiscover (0.3beta7~pre-2) unstable; urgency=medium

  * Upload to unstable.
  * Removed unused overrides "rc-version-greater-than-expected-version".
  * debian/clean: added to remove the oui.txt-* file, created after each
      local OUI refresh.
  * debian/patches/update-oui: refreshed the OUI table.
  * debian/watch: fixed.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 25 Apr 2015 09:33:31 -0300

netdiscover (0.3beta7~pre-1) experimental; urgency=medium

  * New upstream release.
  * debian/copyright:
      - Removed file setup-gettext, that no longer exist.
      - Updated the upstream copyright years.
  * debian/patches/: updated all patches.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 15 Apr 2015 16:58:26 -0300

netdiscover (0.3beta6+20080409-8) experimental; urgency=medium

  * Removed the useless binary netdiscover-dbg.
  * debian/control: improved the long description.
  * debian/netdiscover.install: useless now. Removed.
  * debian/netdiscover.docs: renamed to docs.
  * debian/netdiscover.lintian-overrides: renamed to lintian.overrides.
  * debian/patches/:
      - fix-makefile: added fix the doc path and to avoid install undesirable
        files.
      - update-oui: added to update OUI data in src/out.h file (LP: #1171137).
  * debian/rules: added the target override_dh_auto_install to remember about
      the update of the OUI.
  * debian/watch: improved.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 01 Apr 2015 12:44:16 -0300

netdiscover (0.3beta6+20080409-7) experimental; urgency=medium

  * New maintainer. Thanks to William Vera for your work over this package.
    (Closes: #781565)
  * Ack for NMU. Thanks to Eric Dorland. (Closes: #724422)
  * Migrations:
      - debian/copyright to version 1.0.
      - debian/rules to new (reduced) format.
      - DebSrc to version 3.0. (Closes: #664403)
      - DH level to 9.
  * debian/control:
      - Added the Vcs-* fields.
      - Bumped Standards-Version to 3.9.6.
      - Removed dpatch from Build-Depends field.
      - Improved the long description.
  * debian/copyright: full updated.
  * debian/netdiscover.lintian-overrides: added to override some
    mistakes.
  * debian/README.source: obsolete. Removed.
  * debian/netdiscover.docs: removed AUTHORS.
  * debian/netdiscover.install: added to install files.
  * debian/patches/:
      - {01_fixmanpage.dpatch,02_fixmanpage2.dpatch}: merged as
        fix-manpage patch.
      - fix-manpage: added new fixes.
      - fix-spelling-binary: added to fix a spelling in final
        binary.
  * debian/watch: updated and added a new source.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 31 Mar 2015 09:24:13 -0300

netdiscover (0.3beta6+20080409-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control, debian/rules: Switch to dh-autoreconf. (Closes:
    #724422)

 -- Eric Dorland <eric@debian.org>  Sun, 16 Feb 2014 16:11:47 -0500

netdiscover (0.3beta6+20080409-5) unstable; urgency=low

  * New maintainer (Closes: #543853).
  * Added dpatch as build depends.
  * Added a watch file.
  * Added a patch to fix errors from manpage.
  * Added a patch to fix hyphen-used-as-minus-sign lintian error.

 -- William Vera <billy@billy.com.mx>  Fri, 20 Nov 2009 20:00:52 -0600

netdiscover (0.3beta6+20080409-4) unstable; urgency=low

  * Prefixing debhelper files with package name.
  * Adding build-depends to automake1.10 instead of automake in order to not
    break symlinks to automake files (Closes: #543038).
  * Removing vcs fields.
  * Orphaning package.

 -- Daniel Baumann <daniel@debian.org>  Thu, 27 Aug 2009 08:51:15 +0200

netdiscover (0.3beta6+20080409-3) unstable; urgency=low

  * Adding debug package.

 -- Daniel Baumann <daniel@debian.org>  Sun, 21 Sep 2008 08:39:00 +0200

netdiscover (0.3beta6+20080409-2) unstable; urgency=low

  * Adding automake to build-depends.

 -- Daniel Baumann <daniel@debian.org>  Sun, 21 Sep 2008 08:35:00 +0200

netdiscover (0.3beta6+20080409-1) unstable; urgency=low

  * New maintainer, Nicolas Weyland is mia.
  * New upstream snapshot:
    - returns properly to terminal when using non-bytesized netmask
      (Closes: #358341).
  * Redone debian packaging from scratch.

 -- Daniel Baumann <daniel@debian.org>  Sun, 21 Sep 2008 07:42:00 +0200

netdiscover (0.3beta6-1) unstable; urgency=low

  * New upstream release

  * Upstream author assumed manpage

  * Cleaned up package

 -- Nicolas Weyland <ufoalien@weyland.ch>  Mon, 21 Nov 2005 10:53:30 +0100

netdiscover (0.3beta5-1) unstable; urgency=low

  * Initial release (closes: #328790)

  * Nicolas Weyland wrote a manpage for netdiscover

 -- Nicolas Weyland <ufoalien@weyland.ch>  Wed, 14 Sep 2005 17:30:06 +0200
